Bug 352944 - Digikam crashes on start
Summary: Digikam crashes on start
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Video (show other bugs)
Version: 4.4.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-20 14:58 UTC by jim
Modified: 2020-08-12 08:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jim 2015-09-20 14:58:26 UTC
Application: digikam (4.4.0)
KDE Platform Version: 4.13.3
Qt Version: 4.8.6
Operating System: Linux 3.13.0-63-generic x86_64
Distribution: Ubuntu 14.04.3 LTS

-- Information about the crash:
After I added a directory to my Library, Digikam crashed. Upon opening digikam anymore, it continues to crash on startup.

% digikam --version
Qt: 4.8.6
KDE Development Platform: 4.13.3
digiKam: 4.4.0

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
[Current thread is 1 (Thread 0x7f24acf15ac0 (LWP 8210))]

Thread 41 (Thread 0x7f2485847700 (LWP 8213)):
#0  0x00007f24a5a4d12d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f248ae36248 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007f24a17b8182 in start_thread (arg=0x7f2485847700) at pthread_create.c:312
#3  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 40 (Thread 0x7f247b9c7700 (LWP 8214)):
[KCrash Handler]
#5  0x00007f24a5996cc9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#6  0x00007f24a599a0d8 in __GI_abort () at abort.c:89
#7  0x00007f24a59d3394 in __libc_message (do_abort=do_abort@entry=1, fmt=fmt@entry=0x7f24a5ae1b28 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
#8  0x00007f24a59df66e in malloc_printerr (ptr=<optimized out>, str=0x7f24a5ae1cc8 "free(): invalid next size (fast)", action=1) at malloc.c:4996
#9  _int_free (av=<optimized out>, p=<optimized out>, have_lock=0) at malloc.c:3840
#10 0x00007f24a29859c7 in Exiv2::RiffVideo::infoTagsHandler() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#11 0x00007f24a298a855 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#12 0x00007f24a298a4a8 in Exiv2::RiffVideo::tagDecoder(Exiv2::DataBuf&, unsigned long) () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#13 0x00007f24a298a855 in Exiv2::RiffVideo::decodeBlock() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#14 0x00007f24a298abc8 in Exiv2::RiffVideo::readMetadata() () from /usr/lib/x86_64-linux-gnu/libexiv2.so.13
#15 0x00007f24aabe2935 in KExiv2Iface::KExiv2::load(QString const&) const () from /usr/lib/libkexiv2.so.11
#16 0x00007f24aa4e8f06 in Digikam::DMetadata::load(QString const&) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#17 0x00007f24a9f3abef in Digikam::ImageScanner::loadFromDisk() () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#18 0x00007f24a9f3ade0 in Digikam::ImageScanner::newFile(int) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#19 0x00007f24a9ed3146 in Digikam::CollectionScanner::scanNewFile(QFileInfo const&, int) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#20 0x00007f24a9ed62bf in Digikam::CollectionScanner::scanAlbum(Digikam::CollectionLocation const&, QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#21 0x00007f24a9ed6b83 in Digikam::CollectionScanner::scanAlbumRoot(Digikam::CollectionLocation const&) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#22 0x00007f24a9ed775d in Digikam::CollectionScanner::completeScan() () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#23 0x00000000005f8abf in ?? ()
#24 0x00007f24a684b32f in QThreadPrivate::start (arg=0x247ffb0) at thread/qthread_unix.cpp:349
#25 0x00007f24a17b8182 in start_thread (arg=0x7f247b9c7700) at pthread_create.c:312
#26 0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 39 (Thread 0x7f247b1c6700 (LWP 8215)):
#0  0x00007f249d89261a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f249d892979 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f249d8510d8 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f24a697a7be in QEventDispatcherGlib::processEvents (this=0x7f246c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0x00007f24a694c0af in QEventLoop::processEvents (this=this@entry=0x7f247b1c5ae0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f24a694c3a5 in QEventLoop::exec (this=this@entry=0x7f247b1c5ae0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f24a6848c5f in QThread::exec (this=this@entry=0x24827b0) at thread/qthread.cpp:537
#7  0x00007f24a692d823 in QInotifyFileSystemWatcherEngine::run (this=0x24827b0) at io/qfilesystemwatcher_inotify.cpp:265
#8  0x00007f24a684b32f in QThreadPrivate::start (arg=0x24827b0) at thread/qthread_unix.cpp:349
#9  0x00007f24a17b8182 in start_thread (arg=0x7f247b1c6700) at pthread_create.c:312
#10 0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 38 (Thread 0x7f247a9c5700 (LWP 8217)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f24a684b816 in wait (time=18446744073709551615, this=0x26d6a70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x26d71d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24aa560cca in ?? () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x26d71c0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f247a9c5700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 37 (Thread 0x7f24622bf700 (LWP 8221)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x39e7a30) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x39e8a10, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x39e8a00) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x39e8a00) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f24622bf700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 36 (Thread 0x7f2467d9f700 (LWP 8222)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=10, this=0x2497be0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2493988, time=10) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24aa50ce18 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#4  0x00007f24aa50d920 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#5  0x00007f24aa50db95 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#6  0x00007f24aa50dc2c in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#7  0x00007f24aa50ecd0 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#8  0x00007f24aa50ed19 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#9  0x00007f24a9ebe77f in Digikam::AlbumDB::getImagesFields(long long, QFlags<Digikam::DatabaseFields::ImagesField>) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#10 0x00007f24a9ef682a in Digikam::DatabaseThumbnailInfoProvider::thumbnailInfo(QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#11 0x00007f24aa53d1c4 in Digikam::ThumbnailCreator::makeThumbnailInfo(QString const&, QRect const&) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#12 0x00007f24aa541691 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#13 0x00007f24aa542030 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#14 0x00007f24aa550b50 in ?? () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#15 0x00007f24aa528c16 in Digikam::LoadSaveThread::run() () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#16 0x00007f24aa562b0e in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#17 0x00007f24a683efee in QThreadPoolThread::run (this=0x3a11f70) at concurrent/qthreadpool.cpp:108
#18 0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a11f70) at thread/qthread_unix.cpp:349
#19 0x00007f24a17b8182 in start_thread (arg=0x7f2467d9f700) at pthread_create.c:312
#20 0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 35 (Thread 0x7f246698c700 (LWP 8223)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a12920) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a122a0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a12290) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a12290) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f246698c700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 34 (Thread 0x7f246618b700 (LWP 8224)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a12da0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a12b50, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a12b40) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a12b40) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f246618b700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 33 (Thread 0x7f246598a700 (LWP 8225)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a13290) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a13040, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a13030) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a13030) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f246598a700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 32 (Thread 0x7f2465189700 (LWP 8226)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a13760) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a13510, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a13500) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a13500) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2465189700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 31 (Thread 0x7f2464988700 (LWP 8227)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a13c30) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a139e0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a139d0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a139d0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2464988700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 30 (Thread 0x7f2464187700 (LWP 8228)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a14120) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a13ed0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a13ec0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a13ec0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2464187700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 29 (Thread 0x7f2463986700 (LWP 8229)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a14610) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a143c0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a143b0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a143b0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2463986700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 28 (Thread 0x7f2461227700 (LWP 8230)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a14b00) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a148b0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a148a0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a148a0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2461227700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 27 (Thread 0x7f2460a26700 (LWP 8231)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a14ff0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a14da0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a14d90) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a14d90) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2460a26700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 26 (Thread 0x7f243bfff700 (LWP 8232)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a154e0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a15290, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a15280) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a15280) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f243bfff700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 25 (Thread 0x7f243b7fe700 (LWP 8233)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a159d0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a15780, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a15770) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a15770) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f243b7fe700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 24 (Thread 0x7f243affd700 (LWP 8234)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=10, this=0x2497be0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2493988, time=10) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24aa50ce18 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#4  0x00007f24aa50d920 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#5  0x00007f24aa50db95 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#6  0x00007f24aa50dc2c in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#7  0x00007f24aa50ecd0 in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#8  0x00007f24aa50ed19 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#9  0x00007f24a9ebeb6f in Digikam::AlbumDB::getImageInformation(long long, QFlags<Digikam::DatabaseFields::ImageInformationField>) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#10 0x00007f24a9f0035d in Digikam::ImageInfo::orientation() const () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#11 0x00007f24a9ef65e3 in Digikam::DatabaseLoadSaveFileInfoProvider::orientationHint(QString const&) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#12 0x00007f24aa540165 in Digikam::ThumbnailCreator::loadFromDatabase(Digikam::ThumbnailInfo const&) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#13 0x00007f24aa541884 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#14 0x00007f24aa542532 in Digikam::ThumbnailCreator::load(QString const&) const () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#15 0x00007f24aa550af7 in ?? () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#16 0x00007f24aa528c16 in Digikam::LoadSaveThread::run() () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#17 0x00007f24aa562b0e in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#18 0x00007f24a683efee in QThreadPoolThread::run (this=0x3a15c60) at concurrent/qthreadpool.cpp:108
#19 0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a15c60) at thread/qthread_unix.cpp:349
#20 0x00007f24a17b8182 in start_thread (arg=0x7f243affd700) at pthread_create.c:312
#21 0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 23 (Thread 0x7f243a7fc700 (LWP 8235)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a16380) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x39fef50, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x39fef40) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x39fef40) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f243a7fc700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 22 (Thread 0x7f2439ffb700 (LWP 8236)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a16820) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a165d0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a165c0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a165c0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2439ffb700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 21 (Thread 0x7f24397fa700 (LWP 8237)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a16cc0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a16a70, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a16a60) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a16a60) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f24397fa700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 20 (Thread 0x7f2438ff9700 (LWP 8238)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a17140) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a16ef0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a16ee0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a16ee0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2438ff9700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 19 (Thread 0x7f2417fff700 (LWP 8239)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a176b0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a174f0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a174e0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a174e0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2417fff700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 18 (Thread 0x7f24177fe700 (LWP 8240)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a17ba0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a17950, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a17940) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a17940) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f24177fe700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 17 (Thread 0x7f2416ffd700 (LWP 8241)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a18090) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a17e40, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a17e30) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a17e30) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2416ffd700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 16 (Thread 0x7f24167fc700 (LWP 8242)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a18580) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a18330, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a18320) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a18320) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f24167fc700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 15 (Thread 0x7f2415ffb700 (LWP 8243)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a18a70) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a18820, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a18810) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a18810) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2415ffb700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 14 (Thread 0x7f24157fa700 (LWP 8244)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a18f10) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a18cc0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a18cb0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a18cb0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f24157fa700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 13 (Thread 0x7f2414ff9700 (LWP 8245)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a193b0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a19160, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a19150) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a19150) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f2414ff9700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 12 (Thread 0x7f23f7fff700 (LWP 8246)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a19890) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a19640, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a19630) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a19630) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f7fff700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 11 (Thread 0x7f23f77fe700 (LWP 8247)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a19d80) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a19b30, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a19b20) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a19b20) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f77fe700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7f23f6ffd700 (LWP 8248)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a1a270) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a1a020, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a1a010) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a1a010) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f6ffd700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f23f67fc700 (LWP 8249)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a1a760) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a1a510, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a1a500) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a1a500) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f67fc700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f23f5ffb700 (LWP 8250)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a1ac50) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a1aa00, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a1a9f0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a1a9f0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f5ffb700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f23f57fa700 (LWP 8251)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a1b140) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a1aef0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a1aee0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a1aee0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f57fa700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f23f4ff9700 (LWP 8252)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x3a1b630) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x3a1b3e0, mutex=mutex@entry=0x26d5668, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x3a1b3d0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x3a1b3d0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23f4ff9700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f23e3fff700 (LWP 8253)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x7f2404074290) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x7f2404073c10, mutex=mutex@entry=0x7f2404073d58, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x7f2404073c00) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x7f2404073c00) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23e3fff700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f23e37fe700 (LWP 8254)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x7f2404074ac0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x7f2404074870, mutex=mutex@entry=0x7f2404073d58, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x7f2404074860) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x7f2404074860) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23e37fe700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f23e2ffd700 (LWP 8255)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x7f2404075200) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x7f2404074fb0, mutex=mutex@entry=0x7f2404073d58, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x7f2404074fa0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x7f2404074fa0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23e2ffd700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f23e27fc700 (LWP 8256)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=30000, this=0x7f2404075950) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x7f2404075700, mutex=mutex@entry=0x7f2404073d58, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24a683f0fa in QThreadPoolThread::run (this=0x7f24040756f0) at concurrent/qthreadpool.cpp:142
#4  0x00007f24a684b32f in QThreadPrivate::start (arg=0x7f24040756f0) at thread/qthread_unix.cpp:349
#5  0x00007f24a17b8182 in start_thread (arg=0x7f23e27fc700) at pthread_create.c:312
#6  0x00007f24a5a5a47d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f24acf15ac0 (LWP 8210)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f24a684b7f4 in wait (time=10, this=0x2497be0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2493988, time=10) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f24aa50ce18 in Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError(int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#4  0x00007f24aa50d920 in Digikam::DatabaseCoreBackend::queryErrorHandling(Digikam::SqlQuery&, int) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#5  0x00007f24aa50db95 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#6  0x00007f24aa50dcd2 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&, QVariant const&) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#7  0x00007f24aa50dcfb in Digikam::DatabaseCoreBackend::execSql(Digikam::SqlQuery&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#8  0x00007f24a9eb1396 in Digikam::AlbumDB::Private::execRelatedImagesQuery(Digikam::SqlQuery&, long long, Digikam::DatabaseRelation::Type) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#9  0x00007f24a9ec37ee in Digikam::AlbumDB::getRelatedImages(long long, bool, Digikam::DatabaseRelation::Type, bool) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#10 0x00007f24a9ec3af1 in Digikam::AlbumDB::getImagesRelatingTo(long long, Digikam::DatabaseRelation::Type) () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#11 0x00007f24a9efe947 in Digikam::ImageInfo::numberOfGroupedImages() const () from /usr/lib/digikam/libdigikamdatabase.so.4.4.0
#12 0x000000000062f493 in ?? ()
#13 0x00007f24aa59af4d in Digikam::DigikamKCategorizedView::paintEvent(QPaintEvent*) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#14 0x000000000062b6ec in ?? ()
#15 0x00007f24a7399300 in QWidget::event (this=this@entry=0x289fbb0, event=event@entry=0x7ffdd238f710) at kernel/qwidget.cpp:8533
#16 0x00007f24a773b04e in QFrame::event (this=0x289fbb0, e=0x7ffdd238f710) at widgets/qframe.cpp:557
#17 0x00007f24a784a633 in QAbstractItemView::viewportEvent (this=0x289fbb0, event=0x7ffdd238f710) at itemviews/qabstractitemview.cpp:1644
#18 0x00007f24aa5a3d40 in Digikam::DCategorizedView::viewportEvent(QEvent*) () from /usr/lib/digikam/libdigikamcore.so.4.4.0
#19 0x00007f24a694d646 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x2098eb0, receiver=receiver@entry=0x2898500, event=event@entry=0x7ffdd238f710) at kernel/qcoreapplication.cpp:1063
#20 0x00007f24a7349e0c in QApplicationPrivate::notify_helper (this=this@entry=0x2098eb0, receiver=receiver@entry=0x2898500, e=e@entry=0x7ffdd238f710) at kernel/qapplication.cpp:4563
#21 0x00007f24a73504a0 in QApplication::notify (this=0x7ffdd2391d20, receiver=0x2898500, e=0x7ffdd238f710) at kernel/qapplication.cpp:4353
#22 0x00007f24a8059d1a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00007f24a694d4dd in QCoreApplication::notifyInternal (this=0x7ffdd2391d20, receiver=receiver@entry=0x2898500, event=event@entry=0x7ffdd238f710) at kernel/qcoreapplication.cpp:953
#24 0x00007f24a7393a21 in sendSpontaneousEvent (event=0x7ffdd238f710, receiver=0x2898500) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#25 QWidgetPrivate::drawWidget (this=this@entry=0x28a0050, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5599
#26 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x289fc10, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, index@entry=19, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#27 0x00007f24a73942bf in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x289fc10, pdev=pdev@entry=0x42f16b0, siblings=..., index=19, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5795
#28 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=this@entry=0x289fc10, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#29 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x289f720, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#30 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=this@entry=0x289f720, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#31 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x2898690, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#32 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=this@entry=0x2898690, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#33 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x289b2b0, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#34 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=this@entry=0x289b2b0, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#35 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x2899550, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#36 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=this@entry=0x2899550, pdev=pdev@entry=0x42f16b0, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#37 0x00007f24a7394450 in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x24aefa0, pdev=pdev@entry=0x42f16b0, siblings=..., index=<optimized out>, index@entry=120, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5808
#38 0x00007f24a73942bf in QWidgetPrivate::paintSiblingsRecursive (this=this@entry=0x24aefa0, pdev=pdev@entry=0x42f16b0, siblings=..., index=120, rgn=..., offset=..., flags=flags@entry=4, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5795
#39 0x00007f24a73935dc in QWidgetPrivate::drawWidget (this=0x24aefa0, pdev=0x42f16b0, rgn=..., offset=..., flags=flags@entry=5, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x23797c0) at kernel/qwidget.cpp:5652
#40 0x00007f24a755694e in QWidgetBackingStore::sync (this=0x23797c0) at painting/qbackingstore.cpp:1373
#41 0x00007f24a7388ea0 in QWidgetPrivate::syncBackingStore (this=this@entry=0x24aefa0) at kernel/qwidget.cpp:1894
#42 0x00007f24a7398e7a in QWidget::event (this=this@entry=0x2632c20, event=event@entry=0x447d450) at kernel/qwidget.cpp:8680
#43 0x00007f24a7753a33 in QMainWindow::event (this=0x2632c20, event=0x447d450) at widgets/qmainwindow.cpp:1478
#44 0x00007f24a8145f09 in KXmlGuiWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#45 0x00007f24a7349e2c in QApplicationPrivate::notify_helper (this=this@entry=0x2098eb0, receiver=receiver@entry=0x2632c20, e=e@entry=0x447d450) at kernel/qapplication.cpp:4567
#46 0x00007f24a73504a0 in QApplication::notify (this=0x7ffdd2391d20, receiver=0x2632c20, e=0x447d450) at kernel/qapplication.cpp:4353
#47 0x00007f24a8059d1a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#48 0x00007f24a694d4dd in QCoreApplication::notifyInternal (this=0x7ffdd2391d20, receiver=receiver@entry=0x2632c20, event=event@entry=0x447d450) at kernel/qcoreapplication.cpp:953
#49 0x00007f24a6950b3d in sendEvent (event=0x447d450, receiver=0x2632c20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1fb6b10) at kernel/qcoreapplication.cpp:1577
#51 0x00007f24a6950fe3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#52 0x00007f24a697af83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#53 postEventSourceDispatch (s=0x2098960) at kernel/qeventdispatcher_glib.cpp:287
#54 0x00007f249d850e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007f249d851048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#56 0x00007f249d8510ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#57 0x00007f24a697a7a1 in QEventDispatcherGlib::processEvents (this=0x1fb8030, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#58 0x00007f24a73ebbe6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#59 0x00007f24a694c0af in QEventLoop::processEvents (this=this@entry=0x2460320, flags=...) at kernel/qeventloop.cpp:149
#60 0x00007f24a694c3a5 in QEventLoop::exec (this=0x2460320, flags=...) at kernel/qeventloop.cpp:204
#61 0x00000000005f47e9 in ?? ()
#62 0x00000000005259f7 in ?? ()
#63 0x00007f24a6965c1e in QObject::event (this=0x2931570, e=<optimized out>) at kernel/qobject.cpp:1194
#64 0x00007f24a7349e2c in QApplicationPrivate::notify_helper (this=this@entry=0x2098eb0, receiver=receiver@entry=0x2931570, e=e@entry=0x4b96ba0) at kernel/qapplication.cpp:4567
#65 0x00007f24a73504a0 in QApplication::notify (this=0x7ffdd2391d20, receiver=0x2931570, e=0x4b96ba0) at kernel/qapplication.cpp:4353
#66 0x00007f24a8059d1a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#67 0x00007f24a694d4dd in QCoreApplication::notifyInternal (this=0x7ffdd2391d20, receiver=receiver@entry=0x2931570, event=event@entry=0x4b96ba0) at kernel/qcoreapplication.cpp:953
#68 0x00007f24a6950b3d in sendEvent (event=0x4b96ba0, receiver=0x2931570) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#69 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1fb6b10) at kernel/qcoreapplication.cpp:1577
#70 0x00007f24a6950fe3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#71 0x00007f24a697af83 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#72 postEventSourceDispatch (s=0x2098960) at kernel/qeventdispatcher_glib.cpp:287
#73 0x00007f249d850e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#74 0x00007f249d851048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#75 0x00007f249d8510ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#76 0x00007f24a697a7a1 in QEventDispatcherGlib::processEvents (this=0x1fb8030, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#77 0x00007f24a73ebbe6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#78 0x00007f24a694c0af in QEventLoop::processEvents (this=this@entry=0x7ffdd2391800, flags=...) at kernel/qeventloop.cpp:149
#79 0x00007f24a694c3a5 in QEventLoop::exec (this=this@entry=0x7ffdd2391800, flags=...) at kernel/qeventloop.cpp:204
#80 0x00007f24a6951b79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#81 0x0000000000496f90 in ?? ()
#82 0x00007f24a5981ec5 in __libc_start_main (main=0x495d40, argc=5, argv=0x7ffdd2391f18, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffdd2391f08) at libc-start.c:287
#83 0x00000000004995df in _start ()

The reporter indicates this bug may be a duplicate of or related to bug 340373.

Possible duplicates by query: bug 351689, bug 348699, bug 348173, bug 347139, bug 347134.

Report to https://bugs.kde.org/

Reproducible: Always

Steps to Reproduce:
1. Add a directory? (directory is very large and contains JPG, RAW, and MPG files)
2. Watch DK crash
3. Watch DK crash opening subsequently every time

Actual Results:  
crashing and kde bug report widnow that then complians I'm not logged in and it can't submit the bug

Expected Results:  
Not to crash.
Comment 1 caulier.gilles 2015-09-20 20:52:35 UTC

*** This bug has been marked as a duplicate of bug 340373 ***
Comment 2 caulier.gilles 2018-02-28 12:39:18 UTC
With 6.0.0, we have now a FFMpeg low level metadata parser based on libav C API
for video files database registration.

The Exiv2 video support is not used anymore as this code is buggous and nobody
sound motivated in Exiv2 to finalize the code.

The original post for this file must be fixed now and video metadata support
with ffmpeg must be enough to populate database entries.

Gilles Caulier